<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('stock-alert') }}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 287px;">
          <router-link to="menustock">
            <a href="dashbaord">
              <font style="vertical-align : inherit">
                <font style="vertical-align : inherit">{{ i18ntext.lngText('stock-alert') }}</font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <!--#contents -->
        <div class="search-box ">
          <div class="search-box-title" id="Bars">
            <div id="bar" >
              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock-alert') }}
                  <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                    {{ stockcount }} {{ i18ntext.lngText('item') }}
                  </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText('expire-alert1') }}
                  <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                    {{ count_expire }} {{ i18ntext.lngText('item') }}
                  </span>
                </a>
              </router-link>
            </div>
            <div id="right">
              <a v-if="item > 0" class="btn-radius bt-pn btn btn-sm" data-bs-toggle="modal" data-bs-target="#statiex-import"
                tabindex="10028" style="float: right; color: #f8f5b4;margin-top: -2px;">
                <span style="width: 14px;height: 14px; padding: 2px;color: white; font-weight: bold;">{{ item }}</span>
                {{ i18ntext.lngText('to_purchase') }}
              </a>
              <a class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
            style="float: right; color: #f8f5b4;margin-right: 11px;margin-top: -2px; width: 79px;">
            <i class="fas fa-plus" style="padding-right: 5px"></i>
            {{ i18ntext.lngText('menu') }}
          </a>

          <ul class="dropdown-menu">
            <li>
              <a  class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                data-bs-target="#staticboomId" tabindex="10028">
                <i class="fa fa-print" aria-hidden="true"></i>
                {{ i18ntext.lngText('print') }}
              </a>
            </li>
          </ul>
            </div>
          </div>
        </div>
        <div class="box">
          <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
            <thead>
              <tr class="header-table">
                  <th colspan="9" style="width: 100%;">
                      <input autocomplete="off" type="search" class="text" v-model="search.name" @input="getBrands()" @change="mySearch()"
                        placeholder="Document No, Document Type, Description" style="width: 100%; margin-top: 4px;">
                  </th>
              </tr>
              <tr class="header-table">
                <th width="3%">{{ i18ntext.lngText('no') }}</th>
                <th width="40%">{{ i18ntext.lngText('alert-name') }}</th>
                <th width="7%">{{ i18ntext.lngText('reorder') }}</th>
                <th width="10%">{{ i18ntext.lngText('onhand') }}</th>
                <th width="7%">{{ i18ntext.lngText('amc') }}</th>
                <th width="7%">{{ i18ntext.lngText('mos') }}</th>
                <th width="5%"></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(item, index ) in items.data" :key="index">
                <td width="3%">{{ 15*(number - 1)  + (index + 1)}}</td>
                <td width="40%">{{ item.description }}</td>
                <td width="7%">
                  <div class="d-flex justify-content-end">
                    {{ Number(item.reorder_point).toLocaleString() }}
                    <span style="color: blue;padding-left: 3px !important;">{{ item.stock_unit_of_measure_code }}</span>
                  </div>
                </td>
                <td width="7%">
                  <div class="d-flex justify-content-end">
                  {{  Number(item.inventorys).toLocaleString() }}
                  <span style="color: blue;padding-left: 3px !important;">{{ item.stock_unit_of_measure_code }}</span>
                  </div>
                </td>
                <td width="7%">
                  <div class="d-flex justify-content-end">
                    {{ new Intl.NumberFormat('en-US').format(item.amc_inventery) }}
                    <span style="color: blue;padding-left: 3px !important;">{{ item.stock_unit_of_measure_code }}</span>
                  </div>
                </td>
                <td width="7%">
                  <div class="d-flex justify-content-end">
                    {{ new Intl.NumberFormat('en-US').format(item.mos) }}
                  </div>
                </td>
                <td width="5%" class="text-center">
                  <div class="checker" id="uniform-selkensatask9">
                    <span v-if="item.checkbutton == '1'" class="checked">
                      <input autocomplete="off" type="checkbox" value="display" id="selkensatask9" @click="getEdit(item)" tabindex="10008"
                        style="opacity: 0">
                    </span>
                    <span v-else>
                      <input autocomplete="off" type="checkbox" value="display" id="selkensatask9" @click="getEdit(item)" tabindex="10008"
                        style="opacity: 0">
                    </span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
          <div class="box-footer-pagination">
              <pagination :limit="2" :data="items" @pagination-change-page="getBrands" />
            </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i>
            {{ i18ntext.lngText('print') }}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content">
          <div class="card">
            <div class="card-body">
              <div class="mt-3 print-size">
                <div style="padding:0 50px 0 50px;height: 100vh;" id="purchaseorder">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('alert-rep') }}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%;">
                      <p class=" p-bg font-size p-pad">{{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('name') }} :</span> <span id="fon">{{ company.company_name }}</span></p>
                      <p class="p-mg  info-pad"><span id="bold">{{ i18ntext.lngText('phone') }} :</span> <span id="fon">{{ company.company_Phone }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('email') }} :</span> <span id="fon">{{ company.company_Email }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('address') }} :</span> <span id="fon">{{ company.company_Address }}</span></p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                    </div>
                  </div>
                  <div class=" my-2  justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('no') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('alert-name') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('re-order') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('onhand') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('price') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in print" :key="index">
                          <td>{{ index + 1 }}</td>
                          <td>{{ item.description }}</td>
                          <td>
                            <div class="d-flex justify-content-end">
                              {{ Number(item.reorder_point).toLocaleString() }}
                              <span style="color: blue;padding-left: 3px !important;">{{ item.stock_unit_of_measure_code }}</span>
                            </div>
                          </td>
                          <td>
                            <div class="d-flex justify-content-end">
                              {{ Number(item.inventorys).toLocaleString() }}
                              <span style="color: blue;padding-left: 3px !important;">{{ item.stock_unit_of_measure_code }}</span>
                            </div>
                          </td>
                          <td>
                            <div class="d-flex justify-content-end">
                            {{ Number(item.unit_price).toLocaleString() }}
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a>

        </div>
      </div>
    </div>
  </div>

  <div class="modal fade ui-modal" id="statiex-import" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa-solid fa-file"></i> Create Product
            Order: {{ purche.length - 1 }}items</h5>
          <a href="#" class="ui-dialog-titlebar-close ui-corner-all" role="button" data-bs-dismiss="modal">
            <span class="ui-icon ui-icon-closethick">close</span></a>
        </div>
        <div id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container mb-5 mt-3">
                <div class="row d-flex align-items-baseline">
                  <div class="col-xl-9">
                  </div>
                  <hr>
                </div>
                <div class="container">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase" id="titlered">{{ i18ntext.lngText('add_purchase') }}</h3>
                    </div>
                  </div>
                  <div class="row my-2 mx-1 justify-content-center table-padding-bot customsroll">
                    <table class="table table-striped table-borderless" id="exceldata">
                      <thead style="background-color:#84B0CA ;" class="text-white">
                        <tr>
                          <th style="width: 5%">{{ i18ntext.lngText('no') }}</th>
                          <th style="width: 7%">{{ i18ntext.lngText('pro-no') }}</th>
                          <th style="width: 7%">{{ i18ntext.lngText('description') }}</th>
                          <th style="width: 10%">{{ i18ntext.lngText('unit_price') }}</th>
                          <th style="width: 7%">{{ i18ntext.lngText('onhand') }}</th>
                          <th style="width: 10%">{{ i18ntext.lngText('unit_code') }}</th>
                          <th style="width: 7%">{{ i18ntext.lngText('unit_code') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(purchaseLine, index) in purche" >
                          <th v-if="index >= 1" style="width: 5%">{{ index }}</th>
                          <th v-if="index >= 1" style="width: 7%">{{ purchaseLine.product_no }}</th>
                          <th v-if="index >= 1" style="width: 10%">{{ purchaseLine.description }}</th>
                          <th v-if="index >= 1" style="width: 7%">{{ purchaseLine.unit_price }}</th>
                          <th v-if="index >= 1" style="width: 7%">{{ purchaseLine.inventorys }}</th>
                          <th v-if="index >= 1" style="width: 7%">{{ purchaseLine.stock_unit_of_measure_code }}</th>
                          <th v-if="index >= 1" style="width: 7%">
                            <div class="button type2" id="uniform-undefined">
                              <span><input autocomplete="off" @click="RemoveItem(purchaseLine.product_no)" type="button" value="display"
                                  class="type2" style="opacity: 0; width: 54px" tabindex="10025" /><i
                                  class="fa fa-edit"></i> {{ i18ntext.lngText('remove') }}</span>
                            </div>
                          </th>
                        </tr>
                      </tbody>

                    </table>
                  </div>
                  <div class="row">
                  </div>
                  <hr>


                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a data-bs-toggle="modal" data-bs-target="#beginning" data-bs-dismiss="modal" class="btn-purchase btn-light text-capitalize">Beginning stock</a>

          <input autocomplete="off" v-if="excel == 'Import'" type="file" @change="getExcelData" name="select_file" />
          <a v-else class="btn-purchase btn-light text-capitalize" data-bs-dismiss="modal" data-mdb-ripple-color="dark"
            @click="exportdataExcel()"><i class="fas fa-save"></i> {{ i18ntext.lngText('add_purchase') }}</a>
        </div>
      </div>
    </div>
  </div>


  <div class="modal fade ui-modal" id="beginning" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            Beginning stock
          </h5>

          <a href="#" class="ui-dialog-titlebar-close ui-corner-all" role="button" data-bs-dismiss="modal">
            <span class="ui-icon ui-icon-closethick">close</span></a>
        </div>
        <div id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="container ">
                <div class="row d-flex align-items-baseline">
                  <div class="col-xl-9">
                  </div>
                  <hr>
                </div>
                <div class="container">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase" id="titlered">
                        <div class="button type2" data-bs-toggle="modal" data-bs-target="#confirmnew" data-bs-dismiss="modal" id="uniform-undefined">
                              <span><input autocomplete="off"  type="button" 
                                  class="type2" style="opacity: 0;"/>
                                {{ i18ntext.lngText('add_new') }}
                              </span>
                        </div>
                        {{ i18ntext.lngText('or') }}
                      </h3>
                    </div>
                  </div>
                  <div class="row my-2 mx-1 justify-content-center table-padding-bot customsroll">
                    <table class="table table-striped table-borderless" id="exceldata">
                      <thead style="background-color:#84B0CA ;" class="text-white">
                        <tr>
                          <th>{{ i18ntext.lngText('document_no') }}</th>
                          <th>{{ i18ntext.lngText('description') }}</th>
                          <th>{{ i18ntext.lngText('document_type') }}</th>
                          <th>{{ i18ntext.lngText('method') }}</th>
                          <th>{{ i18ntext.lngText('total') }}</th>
                          <th>{{ i18ntext.lngText('created_at') }}</th>
                          <th></th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in startStock" :key="index">
                          <th>{{ item.document_no }}</th>
                          <th>{{ item.description }}</th>
                          <th>{{ item.document_type }}</th>
                          <th>{{ item.paymentmethod_code }}</th>
                          <th>{{ Number(item.total_amount).toLocaleString() }}</th>
                          <th>{{ formatdatetime(item.created_at) }}</th>
                          <th  style="width: 7%"> 
                            <div @click="selectInsert(item)" data-bs-dismiss="modal" class="button type2" id="uniform-undefined">
                              <span><input autocomplete="off"  type="button" 
                                  class="type2" style="opacity: 0;"/>
                                {{ i18ntext.lngText('select') }}
                              </span>
                            </div>
                          </th>
                        </tr>
                      </tbody>

                    </table>
                  </div>
                  <div class="row">
                  </div>
                  <hr>


                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a data-bs-dismiss="modal" class="btn-purchase btn-light text-capitalize">{{ i18ntext.lngText('close') }}</a>

        </div>
      </div>
    </div>
  </div>



  <div class="modal fade ui-modal" id="confirmsubmit" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="clearconfirmlabel" aria-hidden="true">
        <div class="modal-dialog smallpopup" id="nonbackgroundboom">
            <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                        <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{ i18ntext.lngText('confirm_message') }}</span>
                    </h5>
                    <span class="ui-icon ui-icon-closethick btn-cancel" data-bs-dismiss="modal"
                        aria-label="Close"></span>
                </div>
                <div class="ui-dialog-content" style="background-color: #fff;">
                    <div class="modal-body">Do you want to add into this document?</div>
                    <div class="modal-footer">

                        <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal">
                            <span>{{ i18ntext.lngText('No') }}<input autocomplete="off" type="button" class="type2" 
                                    style="width: 89px; opacity: 0;">
                            </span>

                        </div>
                        <div class="button type2" data-bs-dismiss="modal" @click="addMore()"><span>{{ i18ntext.lngText('yes') }}</span></div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade ui-modal" id="confirmnew" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
        aria-labelledby="clearconfirmlabel" aria-hidden="true">
        <div class="modal-dialog smallpopup" id="nonbackgroundboom">
            <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                        <span class="ui-dialog-title" id="ui-dialog-title-modal-edit-dialog">{{ i18ntext.lngText('confirm_message') }}</span>
                    </h5>
                    <span class="ui-icon ui-icon-closethick btn-cancel" data-bs-dismiss="modal"
                        aria-label="Close"></span>
                </div>
                <div class="ui-dialog-content" style="background-color: #fff;">
                    <div class="modal-body">Do you want to create new beginingstock?</div>
                    <div class="modal-footer">

                        <div class="button type2" id="uniform-undefined" data-bs-dismiss="modal">
                            <span>{{ i18ntext.lngText('No') }}<input autocomplete="off" type="button" class="type2" 
                                    style="width: 89px; opacity: 0;">
                            </span>

                        </div>
                        <div class="button type2" data-bs-dismiss="modal" @click="addNew()"><span>{{ i18ntext.lngText('yes') }}</span></div>
                    </div>
                </div>
            </div>
        </div>
    </div>






  <Footer />
  <UserInfo />
</template>

<script>
import { tsImportEqualsDeclaration } from "@babel/types";
import Auth from "../../auth/Auth";
import axios from "axios";
import moment from "moment";
import Header from "../Header.vue";
import Footer from "../footer.vue"
import Logo from "../logo.vue"
import pagination from "laravel-vue-pagination";
import print from 'vue3-print-nb';
import UserInfo from "../UserInfo.vue"
import i18n from "../../i18n/i18n"
export default {
  components: {
    Header, Footer, Logo,pagination,UserInfo
  },
  directives: {
    print
  },
  data() {
    return {
      i18ntext: i18n,
      company: [],
      items: [],
      purche: [{}],
      item: '0',
      getProduct: [],
      docId: '',
      datass: [],
      count_expire: 0,
      dateformat: "",
      stockcount: 0,
      search:{name : ''},
      print : [],
      number_page : 1,
      startStock : [],
      document_object: {},
      number : 1,

    };
  },
  mounted() {
    if (Auth.check()) {
        if(!Auth.checkPermission('STOCKALERT_ALL')){
            this.$router.push('/dashboard');
        }
    }
    if(this.$route.query.page != 1){
      this.number_page = this.$route.query.page
      axios.post("/api/v1/stockcheck/checkOptionstock?page="+this.number_page,this.search)
        .then((data) => {
          this.items = data.data.data;
          this.stockcount = data.data.data.total
          this.print = data.data.print

        })

    }
    else{
      this.getBrands();
    }
    this.getcompany();
    this.getExpire();
    this.getOpenbeginningstock()

    let myPagenumber = this.$route.query
     if(JSON.stringify(myPagenumber) === '{}'){
        this.number = 1
     } 
     else {
      this.number = this.$route.query.page
     }

  },
  methods: {

    getBrands(page = 1) {
      this.$router.push({name: 'Stockalert', query: {page : page}})
      axios.post("/api/v1/stockcheck/checkOptionstock?page="+page,this.search)
        .then((data) => {
          this.items = data.data.data;
          this.stockcount = data.data.data.total
          this.print = data.data.print
          this.number = this.$route.query.page

        })
    },
    getEdit(Product) {
      if (this.purche.length == 0) {
        this.purche = Product;
        Product.checkbutton = '1';
      } else {
        var check = false;
        this.purche.forEach(element => {
          if (Product == element) {
            this.RemoveItem(element.product_no);
            Product.checkbutton = '0';
            check = true;
          }
        });
        if (!check) {
          Product.checkbutton = '1';
          this.purche.push(Product);
        }
      }
      this.item = this.purche.length - 1;
    },
    getcompany() {
      axios.get("/api/v1/getSetup/")
        .then((response) => {
          this.company = response.data;
          this.dateformart = moment(new Date()).format('DD-MM-YYYY');
        });
    },
    RemoveItem(id) {
      var newArray = [];
      this.purche.forEach(element => {
        if (element.product_no != id) {
          newArray.push(element);
        } else {
          element.checkbutton = '0';
        }
      });
      this.purche = newArray;
      this.item = this.purche.length - 1;
      if (this.item < 0) this.item = 0;
    },

    exportdataExcel() {
      if (this.item > 0) {
        axios.post("/api/v1/purchase/store").then((response) => {
          var x = 1000;
          var i = 1;
          this.form = response.data;
          this.purche.forEach(element => {
            if (element.product_no != null) {
              this.form.forEach(elementdata => {
                element.document_no = elementdata.document_no;
                element.document_type = elementdata.document_type;
              });
              setTimeout(() => this.get(element), x);
              i++;
            }
          });
          setTimeout(() => this.getRoud(this.form[0].document_no), x * i);
        });
      } else {

      }
    },
    get(Product) {
      axios.post("api/v1/purchase/update/Purchaselinealert/" + Product.document_no)
        .then((res) => {
          this.getProduct = res.data[0];
          this.getProduct.description = Product.description;
          this.getProduct.product_no = Product.product_no;
          this.getProduct.unit_of_measure_code = Product.stock_unit_of_measure_code;
          Product = this.getProduct;
          if (Product.document_no != "") { this.docId = Product.document_no; }
          axios.post("/api/v1/purchase/update/purchaseline/" + Product.document_no, Product).then((res) => { });
        });
    },
    getRoud(id) {
      if (id != "") {
        this.$router.push({
          name: "Purchase",
          query: { id: id },
        });
      }
    },
    getExpire() {
      axios.get('api/v1/expireAlert')
        .then(res => {
          this.count_expire = res.data.stock.total;
        })
    },
    mySearch(){
      if(this.search.name == ""){
        this.getBrands()
      }
    },

    getOpenbeginningstock(){
      axios.get("api/v1/beginningstock/getOpenBeginningstock")
            .then(res => {
              console.log(res.data)
              this.startStock = res.data
            })
    },
    formatdatetime(dateform) {
        try {
          return  moment(dateform).format('DD-MM-YYYY');
        } catch (error) {
          return dateform;
        }
      },
      selectInsert(beginning){
        this.document_object = beginning
        $('#confirmsubmit').modal('show')
      },
      addMore(){
        let count = 0
        this.purche.forEach(el => {
          count ++
          this.addMoreBeginning(el)
          
        })
        if(count === this.purche.length){
          setTimeout(() => {
            this.$router.push({name: "createbeginnigstock",query: { id: this.document_object.document_no } });
          }, 1000)
            
        }
      
      },
     async addMoreBeginning(object){
        object.created_by = Auth.user.id
       await axios.post('api/v1/beginningstock/Addmorelist/'+this.document_object.document_no,object)
              .then(res => {
                console.log('created success')
              })
              .catch(err => {
                alert(err)
              })
      },
      async  addNew(){
        await axios.post('api/v1/beginingstock/create?created_by='+Auth.user.id)
              .then(res => {
                this.document_object = res.data[0]
                this.addMore()
                // console.log('new document')
                // console.log(this.document_object)
              })
              
      }
      




  }
};

</script>
